Spigot SuperJump | Deutsch [German] | v1.0 1.0

Superjump,Minecraft,Plugin,Minigame

  1. InvalidException submitted a new resource:

    SuperJump | Deutsch [German] | v1.0 - Superjump,Minecraft,Plugin,Minigame

    Read more about this resource...
     
  2. Hi!

    [12:07:56] [Server thread/ERROR]: Could not load 'plugins/SuperJump.jar' in folder 'plugins'
    org.bukkit.plugin.InvalidPluginException: java.lang.UnsupportedClassVersionError: com/xdeathcubex/main/SuperJump : Unsupported major.minor version 52.0
    at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:135) ~[craftbukkit.jar:git-Spigot-5f38d38-12698ea]
    at org.bukkit.plugin.SimplePluginManager.loadPlugin(SimplePluginManager.java:329) ~[craftbukkit.jar:git-Spigot-5f38d38-12698ea]
    at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:251) [craftbukkit.jar:git-Spigot-5f38d38-12698ea]
    at org.bukkit.craftbukkit.v1_8_R3.CraftServer.loadPlugins(CraftServer.java:292) [craftbukkit.jar:git-Spigot-5f38d38-12698ea]
    at net.minecraft.server.v1_8_R3.DedicatedServer.init(DedicatedServer.java:198) [craftbukkit.jar:git-Spigot-5f38d38-12698ea]
    at net.minecraft.server.v1_8_R3.MinecraftServer.run(MinecraftServer.java:525) [craftbukkit.jar:git-Spigot-5f38d38-12698ea]
    at java.lang.Thread.run(Unknown Source) [?:1.7.0_71]
    Caused by: java.lang.UnsupportedClassVersionError: com/xdeathcubex/main/SuperJump : Unsupported major.minor version 52.0
    at java.lang.ClassLoader.defineClass1(Native Method) ~[?:1.7.0_71]
    at java.lang.ClassLoader.defineClass(Unknown Source) ~[?:1.7.0_71]
    at java.security.SecureClassLoader.defineClass(Unknown Source) ~[?:1.7.0_71]
    at java.net.URLClassLoader.defineClass(Unknown Source) ~[?:1.7.0_71]
    at java.net.URLClassLoader.access$100(Unknown Source) ~[?:1.7.0_71]
    at java.net.URLClassLoader$1.run(Unknown Source) ~[?:1.7.0_71]
    at java.net.URLClassLoader$1.run(Unknown Source) ~[?:1.7.0_71]
    at java.security.AccessController.doPrivileged(Native Method) ~[?:1.7.0_71]
    at java.net.URLClassLoader.findClass(Unknown Source) ~[?:1.7.0_71]
    at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:101) ~[craftbukkit.jar:git-Spigot-5f38d38-12698ea]
    at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:86) ~[craftbukkit.jar:git-Spigot-5f38d38-12698ea]
    at java.lang.ClassLoader.loadClass(Unknown Source) ~[?:1.7.0_71]
    at java.lang.ClassLoader.loadClass(Unknown Source) ~[?:1.7.0_71]
    at java.lang.Class.forName0(Native Method) ~[?:1.7.0_71]
    at java.lang.Class.forName(Unknown Source) ~[?:1.7.0_71]
    at org.bukkit.plugin.java.PluginClassLoader.<init>(PluginClassLoader.java:64) ~[craftbukkit.jar:git-Spigot-5f38d38-12698ea]
    at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:131) ~[craftbukkit.jar:git-Spigot-5f38d38-12698ea]
    ... 6 more
     
  3. Moin InvalidException,

    entwickelst Du das Plugin noch weiter? Ich kriege es beim Starten des Servers nicht fehlerfrei durch.Bei der obigen Fehlermeldung lief der Server allerdings noch unter Java 7 :). Jetzt - unter Java 8 - sieht es aber auch nicht besser aus.

    Ciao, CCCCarsten
     
  4. Hey,
    sorry wegen dem Fehler! :)
    Ich werde so schnell wie möglichst das Plugin beheben & einen "recode" einsetzen!

    Mit freundlichen Grüßen,
    InvalidException
     
    • Like Like x 1